跳到正文

follow_api.get_feed_entries ​

since HF14 disabled

Defined in the steem source (52dcfabb) but not served by public nodes.

Purpose ​

返回某账户动态(feed)中的条目(entry)列表。

另见:Paginated API Methods

Parameters ​

PARAMETERS
json
{
  "account": "",
  "start_entry_id": 0,
  "limit": 500
}

⚠ 该方法在 steem 源码中有定义,但公共节点未启用。

Example ​

Example 1 ​

BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "follow_api.get_feed_entries",
    "params": {
      "account": "steemit",
      "start_entry_id": 0,
      "limit": 1
    },
    "id": 1
  }'

Example 2 ​

BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "follow_api.get_feed_entries",
    "params": {
      "account": "alice",
      "start_entry_id": 1,
      "limit": 10
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "feed": []
}